com.mxgraph.canvas

## Class mxGraphicsCanvas2D.CanvasState

- java.lang.Object
- - com.mxgraph.canvas.mxGraphicsCanvas2D.CanvasState

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    mxGraphicsCanvas2D

      protected class mxGraphicsCanvas2D.CanvasState
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `alpha`
    `protected boolean` | `dashed`
    `protected float[]` | `dashPattern`
    `protected double` | `dx`
    `protected double` | `dy`
    `protected double` | `fillAlpha`
    `protected java.awt.Color` | `fillColor`
    `protected java.lang.String` | `fillColorValue`
    `protected boolean` | `flipH`
    `protected boolean` | `flipV`
    `protected java.awt.Color` | `fontBackgroundColor`
    `protected java.lang.String` | `fontBackgroundColorValue`
    `protected java.awt.Color` | `fontBorderColor`
    `protected java.lang.String` | `fontBorderColorValue`
    `protected java.awt.Color` | `fontColor`
    `protected java.lang.String` | `fontColorValue`
    `protected java.lang.String` | `fontFamily`
    `protected double` | `fontSize`
    `protected int` | `fontStyle`
    `protected java.awt.Graphics2D` | `g` Stores the actual state.
    `protected java.awt.Paint` | `gradientPaint`
    `protected java.lang.String` | `lineCap`
    `protected java.lang.String` | `lineJoin`
    `protected double` | `miterLimit`
    `protected double` | `rotationCx`
    `protected double` | `rotationCy`
    `protected double` | `scale`
    `protected boolean` | `shadow`
    `protected double` | `shadowAlpha`
    `protected java.awt.Color` | `shadowColor`
    `protected java.lang.String` | `shadowColorValue`
    `protected double` | `shadowOffsetX`
    `protected double` | `shadowOffsetY`
    `protected double` | `strokeAlpha`
    `protected java.awt.Color` | `strokeColor`
    `protected java.lang.String` | `strokeColorValue`
    `protected double` | `strokeWidth`
    `protected double` | `theta`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `mxGraphicsCanvas2D.CanvasState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alpha

          protected double alpha

    - #### fillAlpha

          protected double fillAlpha

    - #### strokeAlpha

          protected double strokeAlpha

    - #### scale

          protected double scale

    - #### dx

          protected double dx

    - #### dy

          protected double dy

    - #### theta

          protected double theta

    - #### rotationCx

          protected double rotationCx

    - #### rotationCy

          protected double rotationCy

    - #### flipV

          protected boolean flipV

    - #### flipH

          protected boolean flipH

    - #### miterLimit

          protected double miterLimit

    - #### fontStyle

          protected int fontStyle

    - #### fontSize

          protected double fontSize

    - #### fontFamily

          protected java.lang.String fontFamily

    - #### fontColorValue

          protected java.lang.String fontColorValue

    - #### fontColor

          protected java.awt.Color fontColor

    - #### fontBackgroundColorValue

          protected java.lang.String fontBackgroundColorValue

    - #### fontBackgroundColor

          protected java.awt.Color fontBackgroundColor

    - #### fontBorderColorValue

          protected java.lang.String fontBorderColorValue

    - #### fontBorderColor

          protected java.awt.Color fontBorderColor

    - #### lineCap

          protected java.lang.String lineCap

    - #### lineJoin

          protected java.lang.String lineJoin

    - #### strokeWidth

          protected double strokeWidth

    - #### strokeColorValue

          protected java.lang.String strokeColorValue

    - #### strokeColor

          protected java.awt.Color strokeColor

    - #### fillColorValue

          protected java.lang.String fillColorValue

    - #### fillColor

          protected java.awt.Color fillColor

    - #### gradientPaint

          protected java.awt.Paint gradientPaint

    - #### dashed

          protected boolean dashed

    - #### dashPattern

          protected float[] dashPattern

    - #### shadow

          protected boolean shadow

    - #### shadowColorValue

          protected java.lang.String shadowColorValue

    - #### shadowColor

          protected java.awt.Color shadowColor

    - #### shadowAlpha

          protected double shadowAlpha

    - #### shadowOffsetX

          protected double shadowOffsetX

    - #### shadowOffsetY

          protected double shadowOffsetY

    - #### g

          protected transient java.awt.Graphics2D g

      Stores the actual state.

  - ### Constructor Detail

    - #### mxGraphicsCanvas2D.CanvasState

          protected mxGraphicsCanvas2D.CanvasState()

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.